#!/bin/bash

source /srv/octoprint/host
if [[ -f ~/.overrideurl.sh ]]; then source ./.overrideurl.sh; fi

# Wait until OctoPrint comes up
while ! curl "$HOST:$PORT" 2>&1 >/dev/null; do
  sleep 1
done

surf -d -F -g -K -n -p "$HOST:$PORT"
